Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: martin rudalics <[email-masked]>
Date: Sat, 10 Apr 2021 20:57:58 +0200

> Sure.  But I will say that I think protecting the nconc in window_list_1
 > is not as important, as it, by itself, does not modify any global
 > state.  In point of fact, it only modifies a local variable.  It may be
 > that window_loop or replace_buffer_in_windows_safely should be so
 > protected instead, but I can't say that with any degree of certainty.

window_list_1 is the object replace_buffer_in_windows(_safely) use to
find all windows displaying the buffer to kill and if only one of these
windows is missing in the list we get our initial problem back.  Just
that, as I mentioned earlier, the quit flag will probably have been
already processed by the preceding window_list call.

martin